collaborative Protection Profile Module for Agent Applications v1.0e

Profile details

Status active
Valid from 17.06.2024
Valid until N/A
Scheme πŸ‡ΊπŸ‡Έ US
Category Other Devices and Systems
Security level N/A

Certification report

certification report could not be downloaded, no link is available.

Protection profile

Extracted keywords

Protocols
SSH, TLS, DTLS

Claims
T.UNTRUSTED_COMMUNICATION_CHANNELS_AGENT
Security Functional Requirements (SFR)
FAU_GEN, FCO_CPC_EXT, FCO_CPC_EXT.1, FPT_ITT, FPT_ITT.1

Standards
RFC 5280, RFC 6960, RFC 5759, RFC 6066, X.509, CCMB-2017-04-001, CCMB-2017-04-002, CCMB-2017-04-003, CCMB-2017-04-004

References

No references are available for this protection profile.

Processing updates

Feed
  • The protection profile data changed.
  • The protection profile was first processed.

Raw data

{
  "_id": "62057419ac573e08",
  "_type": "sec_certs.sample.protection_profile.ProtectionProfile",
  "dgst": "62057419ac573e08",
  "heuristics": {
    "_type": "sec_certs.sample.protection_profile.ProtectionProfile.Heuristics"
  },
  "pdf_data": {
    "_type": "sec_certs.sample.protection_profile.ProtectionProfile.PdfData",
    "pp_filename": "",
    "pp_keywords": {
      "asymmetric_crypto": {},
      "cc_cert_id": {},
      "cc_claims": {
        "T": {
          "T.UNTRUSTED_COMMUNICATION_CHANNELS_AGENT": 2
        }
      },
      "cc_protection_profile_id": {},
      "cc_sar": {},
      "cc_security_level": {},
      "cc_sfr": {
        "FAU": {
          "FAU_GEN": 1
        },
        "FCO": {
          "FCO_CPC_EXT": 11,
          "FCO_CPC_EXT.1": 8
        },
        "FPT": {
          "FPT_ITT": 4,
          "FPT_ITT.1": 3
        }
      },
      "certification_process": {},
      "cipher_mode": {},
      "cplc_data": {},
      "crypto_engine": {},
      "crypto_library": {},
      "crypto_protocol": {
        "SSH": {
          "SSH": 1
        },
        "TLS": {
          "DTLS": {
            "DTLS": 1
          },
          "TLS": {
            "TLS": 4
          }
        }
      },
      "crypto_scheme": {},
      "device_model": {},
      "ecc_curve": {},
      "eval_facility": {},
      "hash_function": {},
      "ic_data_group": {},
      "javacard_api_const": {},
      "javacard_packages": {},
      "javacard_version": {},
      "os_name": {},
      "pq_crypto": {},
      "randomness": {},
      "side_channel_analysis": {},
      "standard_id": {
        "CC": {
          "CCMB-2017-04-001": 1,
          "CCMB-2017-04-002": 1,
          "CCMB-2017-04-003": 1,
          "CCMB-2017-04-004": 1
        },
        "RFC": {
          "RFC 5280": 2,
          "RFC 5759": 1,
          "RFC 6066": 1,
          "RFC 6960": 1
        },
        "X509": {
          "X.509": 1
        }
      },
      "symmetric_crypto": {},
      "technical_report_id": {},
      "tee_name": {},
      "tls_cipher_suite": {},
      "vendor": {},
      "vulnerability": {}
    },
    "pp_metadata": {
      "/Author": "MOD_APP_AGENT_v1.0e",
      "/CreationDate": "D:20240215163327-06\u002700\u0027",
      "/Creator": "Asciidoctor PDF 2.3.10, based on Prawn 2.4.0",
      "/ModDate": "D:20240215161028-06\u002700\u0027",
      "/Producer": "MOD_APP_AGENT_v1.0e",
      "/Title": "collaborative PP-Module for Agent Applications",
      "pdf_file_size_bytes": 213274,
      "pdf_hyperlinks": {
        "_type": "Set",
        "elements": [
          "https://appswcpp.github.io/cPP/AppSW_cPP_allowed-with-list.pdf",
          "http://www.commoncriteriaportal.org/"
        ]
      },
      "pdf_is_encrypted": false,
      "pdf_number_of_pages": 10
    },
    "report_filename": null,
    "report_keywords": null,
    "report_metadata": null
  },
  "scheme_metadata": {
    "cc_version": "3.1",
    "pp_short_name": "MOD_CPP_AGENT_V1.0e",
    "pp_sponsor_id": "Application Software iTC",
    "pp_transition": null,
    "predecessor": null,
    "source_scheme": "US",
    "successor": null
  },
  "state": {
    "_type": "sec_certs.sample.protection_profile.ProtectionProfile.InternalState",
    "pp": {
      "_type": "sec_certs.sample.document_state.DocumentState",
      "convert_ok": true,
      "download_ok": true,
      "extract_ok": true,
      "json_hash": "7cf588b28ff63c9cbc52903e982cf5d982cf7391bb5597f6985ca1bad08073ca",
      "source_hash": "3d92a3188cc849837eae9a7bf56d2d36e7ba0adf6fa4b52ed8786560112ffa59",
      "txt_hash": "b02f4f01baadf6929cab3e71a811ca807fe1f8936c770a73ab85c6f47b43e9da"
    },
    "report": {
      "_type": "sec_certs.sample.document_state.DocumentState",
      "convert_ok": false,
      "download_ok": false,
      "extract_ok": false,
      "json_hash": null,
      "source_hash": null,
      "txt_hash": null
    }
  },
  "web_data": {
    "_type": "sec_certs.sample.protection_profile.ProtectionProfile.WebData",
    "category": "Other Devices and Systems",
    "is_collaborative": true,
    "maintenances": [],
    "name": "collaborative Protection Profile Module for Agent Applications v1.0e",
    "not_valid_after": null,
    "not_valid_before": "2024-06-17",
    "pp_link": "https://www.niap-ccevs.org/api/file/get_public_file/?file_id=30026",
    "report_link": null,
    "scheme": "US",
    "security_level": {
      "_type": "Set",
      "elements": []
    },
    "status": "active",
    "version": "1.0e"
  }
}